#!/bin/bash

DIR_TEST_INIT="../test/init"
DIR_TEST_FIGS="../test/figs"
DIR_TEST_EXEC="../test/exe"

#################################
# remove possible remaining links
#################################
rm -f  $DIR_TEST_INIT/init.f90
rm -f  $DIR_TEST_INIT/kappa_ray.f90
rm -f  $DIR_TEST_INIT/kappa_dif.f90
rm -f  $DIR_TEST_INIT/init_out.f90
rm -f  $DIR_TEST_INIT/user_step.f90
rm -f  $DIR_TEST_FIGS/*.ps
rm -fr $DIR_TEST_EXEC/*

#############
# Hydro tests
#############
make clean

rm -f $DIR_TEST_INIT/init.f90
ln -s init_sod.f90 $DIR_TEST_INIT/init.f90
make CASE=$DIR_TEST_INIT
make sod1dx FULL=1
make sod1dy FULL=1
make sod1dz FULL=1
make sod1dx_isoT FULL=1

rm -f init.o
rm -f $DIR_TEST_INIT/init.f90
ln -s init_sedov.f90 $DIR_TEST_INIT/init.f90
make CASE=$DIR_TEST_INIT
make sedov FULL=1

###########
# MHD tests
###########
make clean

rm -f $DIR_TEST_INIT/init.f90
ln -s init_tubemhd.f90 $DIR_TEST_INIT/init.f90
make CASE=$DIR_TEST_INIT MHD=1
make tubemhd1dx FULL=1
make tubemhd1dy FULL=1
make tubemhd1dz FULL=1

rm -f init.o
rm -f $DIR_TEST_INIT/init.f90
ln -s init_ot.f90 $DIR_TEST_INIT/init.f90
make CASE=$DIR_TEST_INIT MHD=1
make ot FULL=1

###########
# RHD tests
###########
make clean

rm -f init.o
rm -f $DIR_TEST_INIT/init.f90
ln -s init_marshak.f90 $DIR_TEST_INIT/init.f90
make CASE=$DIR_TEST_INIT RAYO=1 DIF=1
make marshak_x FULL=1
make marshak_y FULL=1
make marshak_z FULL=1

rm -f init.o
rm -f $DIR_TEST_INIT/init.f90
ln -s init_shock.f90 $DIR_TEST_INIT/init.f90
rm -f kappa_ray.o
ln -s kappa_ray_shock.f90 $DIR_TEST_INIT/kappa_ray.f90
rm -f init_out.o
ln -s init_out_shock.f90 $DIR_TEST_INIT/init_out.f90
make CASE=$DIR_TEST_INIT RAYO=1 DIF=1
make stat_shock FULL=1
make sub_shock FULL=1
make super_shock FULL=1

rm -f init.o
rm -f $DIR_TEST_INIT/init.f90
rm -f kappa_ray.o
rm -f $DIR_TEST_INIT/kappa_ray.f90
rm -f init_out.o
rm -f $DIR_TEST_INIT/init_out.f90

ln -s init_marshak.f90 $DIR_TEST_INIT/init.f90
make CASE=$DIR_TEST_INIT RAYO=1 DIF=1
make marshak_x_fld FULL=1
make marshak_y_fld FULL=1
make marshak_z_fld FULL=1

rm -f init.o
rm -f $DIR_TEST_INIT/init.f90
ln -s init_shock.f90 $DIR_TEST_INIT/init.f90
rm -f kappa_dif.o
ln -s kappa_dif_shock.f90 $DIR_TEST_INIT/kappa_dif.f90
rm -f init_out.o
ln -s init_out_shock.f90 $DIR_TEST_INIT/init_out.f90
make CASE=$DIR_TEST_INIT RAYO=1 DIF=1
make stat_shock_fld FULL=1
make sub_shock_fld FULL=1
make super_shock_fld FULL=1

rm -f init.o
rm -f $DIR_TEST_INIT/init.f90
rm -f kappa_dif.o
rm -f $DIR_TEST_INIT/kappa_dif.f90
rm -f init_out.o
rm -f $DIR_TEST_INIT/init_out.f90

###############
# Gravity tests
###############
make clean

rm -f $DIR_TEST_INIT/init.f90
ln -s init_rayleigh_taylor.f90 $DIR_TEST_INIT/init.f90
make CASE=$DIR_TEST_INIT GRA=1
make rayleigh_taylor FULL=1

rm -f init.o
rm -f $DIR_TEST_INIT/init.f90
ln -s init_self_gravity.f90 $DIR_TEST_INIT/init.f90
rm -f user_step.o
ln -s user_step_self_gravity.f90 $DIR_TEST_INIT/user_step.f90
make CASE=$DIR_TEST_INIT GRA=1
make self_gravity FULL=1

rm -f init.o
rm -f $DIR_TEST_INIT/init.f90
rm -f user_step.o
rm -f $DIR_TEST_INIT/user_step.f90

make clean
