!> \file
!! Contains subroutine init_conduction()
!<

!###########################################################
!###########################################################
!###########################################################
!###########################################################

!  Subroutine INIT_CONDUCTION
!
!> Performs the initialisation for including thermal
!! conduction in the simulation.
!<
subroutine init_conduction

  use parameters, only : ndim
  use cl_con
  use conduction

  implicit none

  implicit_con = .true.

  varrel_con = 1.
  vardt_con  = 10.**(1./10.)

  tolx_con = 1.0E-3

  allocate(T_l(1:2*ndim))
 
  precond_con = .false.
 
  return

end subroutine init_conduction
