!> \file
!! Contains function cal_kappa_con()
!<

!###########################################################
!###########################################################
!###########################################################
!###########################################################

!  Function CAL_KAPPA_CON
!
!> Computes the Spitzer opacity for thermal conduction.
!<
function cal_kappa_con(rho,T)

  implicit none

  real :: rho,T,cal_kappa_con
  real :: coef,ksi,lnLambda,Z     

  ksi      = 1.
  Z        = 1.
  lnLambda = 5.
  coef     = 1.93E-5 / Z / lnLambda

  ! Pay attention to units!
  cal_kappa_con = coef * T**2.5

  return

end function cal_kappa_con
