!> \file
!! Contains subroutine init_out()
!!
!! This is essentially a dummy file. The init_out files
!! specific to each run are usually linked from their own
!! directories.
!<

!###########################################################
!###########################################################
!###########################################################
!###########################################################

!  Subroutine INIT_OUT
!
!> Initialises the output parameters of the simulation.
!<
subroutine init_out

  use unites
  use divers
  use para

  implicit none

#if PARA==1
  integer :: ierr
#endif
  integer :: i
  real    :: ddt !,t0
  
  ddt = tend/float(nout)
  do i=1,nout-1
     tout(i) = float(i)*ddt
  enddo
  tout(nout) = tend

  ! Timestep in log
  ! ~~~~~~~~~~~~~~~
  !t0=1.e-16*seconde
  !ddt=(tend/t0)
  !do i=1,nout-1
  !   tout(i) = t0*ddt**(float(i-1)/(nout-1))
  !enddo
  !tout(nout) = tend

  iout = 0 ; i = 0
  do while (iout == 0)
     i = i+1
     if (temps < tout(i) ) iout = i

     if (i > nout) call close_program(mype,'This simulation is over...')
  enddo

!  if(mype==0) write(*,*) 'iout = ',iout
  
  return

end subroutine init_out
