!> \file
!! Contains subroutine check_size()
!<

!###########################################################
!###########################################################
!###########################################################
!###########################################################

!  Subroutine CHECK_SIZE
!
!> Performs a safety check on the sub-arrays sizes.
!<
subroutine check_size(imin,imax,jmin,jmax,kmin,kmax)

  use parameters, only : nx
  use para      , only : mype

  implicit none
  
  integer, intent(in ) :: imin,imax,jmin,jmax,kmin,kmax
 
  if (imin < 1 .or. imin >nx(1) .or. imax<1 .or. imax>nx(1) .or. imax<imin) then
     write(*,*) 'Problem with sub-array limits.'
     write(*,*) 'nx(1), imin, imax = ',nx(1),imin,imax 
     call close_program(mype,'called from CHECK_SIZE')
  endif
  if (jmin < 1 .or. jmin >nx(2) .or. jmax<1 .or. jmax>nx(2) .or. jmax<jmin) then
     write(*,*) 'Problem with sub-array limits.'
     write(*,*) 'nx(2), jmin, jmax = ',nx(2),jmin,jmax 
     call close_program(mype,'called from CHECK_SIZE')
  endif
  if (kmin < 1 .or. kmin >nx(3) .or. kmax<1 .or. kmax>nx(3) .or. kmax<kmin) then
     write(*,*) 'Problem with sub-array limits.'
     write(*,*) 'nx(3), kmin, kmax = ',nx(3),kmin,kmax 
     call close_program(mype,'called from CHECK_SIZE')
  endif

  if ( (imin <3 .and. imin.ne.1) .or. (imax>nx(1)-2 .and. imax.ne.nx(1)) ) then
     write(*,*) 'Sub-array too close to grid boundary...'
     write(*,*) 'nx(1), imin, imax = ',nx(1),imin,imax 
     call close_program(mype,'called from CHECK_SIZE')
  endif
  if ( (jmin <3 .and. jmin.ne.1) .or. (jmax>nx(2)-2 .and. jmax.ne.nx(2)) ) then
     write(*,*) 'Sub-array too close to grid boundary...'
     write(*,*) 'nx(2), jmin, jmax = ',nx(2),jmin,jmax 
     call close_program(mype,'called from CHECK_SIZE')
  endif
  if ( (kmin <3 .and. kmin.ne.1) .or. (kmax>nx(3)-2 .and. kmax.ne.nx(3)) ) then
     write(*,*) 'Sub-array too close to grid boundary...'
     write(*,*) 'nk, kmin, kmax = ',nx(3),kmin,kmax 
     call close_program(mype,'called from CHECK_SIZE')
  endif
  
  return

end subroutine check_size
