!> \file
!! Contains subroutine cal_kappa_dif()
!<

!###########################################################
!###########################################################
!###########################################################
!###########################################################

!  Subroutine CAL_KAPPA_DIF
!
!> Computes the absorption \f$ \kappa_{a} \f$ and
!! scattering \f$ \kappa_{s} \f$ opacities for the FLD.
!<
subroutine cal_kappa_dif(rho,Tgaz,kappa_abs_dif,kappa_sca_dif,nxmin,nxmax,nymin,nymax,nzmin,nzmax)

  use unites

  implicit none

  integer :: nxmin,nxmax,nymin,nymax,nzmin,nzmax
  real, dimension(nxmin:nxmax,nymin:nymax,nzmin:nzmax) :: rho,Tgaz,kappa_abs_dif,kappa_sca_dif

  kappa_abs_dif = 1.0e+03

  kappa_sca_dif = 0.0e+00

  return

end subroutine cal_kappa_dif
