!  Subroutine CAL_KAPPA_RAY
!
!> Computes the absorption \f$ \kappa_{a} \f$ and
!! scattering \f$ \kappa_{s} \f$ opacities for the M1
!! radiative transfer.
!<
subroutine cal_kappa_ray(rho,Tgaz,kappa_abs_ray,kappa_sca_ray,nxmin,nxmax,nymin,nymax,nzmin,nzmax)

  use unites
  use shock

  implicit none

  integer :: nxmin,nxmax,nymin,nymax,nzmin,nzmax
  real, dimension(nxmin:nxmax,nymin:nymax,nzmin:nzmax) :: rho,Tgaz,kappa_abs_ray,kappa_sca_ray

  if(shock_type .eq. 'stat') then
     kappa_abs_ray = 4.0e4 *centimetre**2/gramme
  else
     kappa_abs_ray = 3.1e-10 /centimetre / rho
  endif

  kappa_sca_ray = 0.0e+00

  return

end subroutine cal_kappa_ray
