pro marshak_fld, dir, ps=ps

;Read heracles solution
RESOLVE_ROUTINE,'rd',/COMPILE_FULL_FILE
rd,1,var

;Dir is the direction of the Marshak test
CASE dir OF  
   'x': begin
       x=var.mesh.xc   
       t=var.t (*,0,0)  
      ed=var.ed(*,0,0)
      end
   'y': begin
       x=var.mesh.yc   
       t=var.t (0,*,0)  
      ed=var.ed(0,*,0)
      end
   'z': begin
       x=var.mesh.zc   
       t=var.t (0,0,*)  
      ed=var.ed(0,0,*)
      end
ENDCASE  

tek_color
!p.charsize=1.5

c  =2.997925e+10;* centimetre/seconde 
a_r=7.56464e-15 ;* erg/centimetre**3/degre**4 

if keyword_set(ps) then begin
  set_plot, 'ps' ; Set plotting to PostScript.
  device, /color, bits=8, xsize=12, ysize=4, /inches, filename='marshak'+dir+'_fld.ps' ; Set the filename.
  !p.multi = [0, 2, 1]
endif

;Plot radiative energy
if not keyword_set(ps) then window,0
 plot,x,ed,psym=4,xtitle=dir,title='Ed'

;Plot temperatures
if not keyword_set(ps) then window,2
 plot,x,t,psym=4,xtitle=dir,title='Temperature'
oplot,x,(ed/a_r)^0.25,thick=3,line=2

if keyword_set(ps) then begin
  device, /close ; Close the file. 
  set_plot,'x'
endif

return
end
