pro sedov, ps=ps

RESOLVE_ROUTINE,'rd',/COMPILE_FULL_FILE
rd,1,var

x=var.mesh.xc
r=var.rho(*,0,0)
u=var.u  (*,0,0,0)
p=var.p  (*,0,0)

;Compute the analytic solution
dim=3
sedovana,r_a,d_a,u_a,p_a,gamma=1.4,dim=dim
E_0=1.
rho_0=1.
t=var.time
r_a = r_a * (E_0/rho_0)^(1./(dim+2.)) * t^(2./(dim+2.))
d_a = d_a * rho_0
u_a = u_a * (E_0/rho_0)^(1./(dim+2.)) * t^(-dim/(dim+2.))
p_a = p_a * (E_0/rho_0)^(2./(dim+2.)) * t^(-2.*dim/(dim+2.)) * rho_0

tek_color
!p.charsize=1.5

if keyword_set(ps) then begin
  set_plot, 'ps' ; Set plotting to PostScript.
  device, /color, bits=8, xsize=12, ysize=8, /inches, filename='sedov.ps' ; Set the filename.
  !p.multi = [0, 2, 2] ; Make IDL's plotting area hold 2 columns and 2 rows of plots.
endif

;Cut in density
if not keyword_set(ps) then window,0
 plot,x  ,r  ,psym=4,xtitle='x',title='Density'
oplot,r_a,d_a,thick=3,color=2

;Cut in velocity
if not keyword_set(ps) then window,1
 plot,x  ,u  ,psym=4,xtitle='x',title='Velocity'
oplot,r_a,u_a,thick=3,color=2

;Cut in pressure
if not keyword_set(ps) then window,2
 plot,x  ,p  ,psym=4,xtitle='x',title='Pressure'
oplot,r_a,p_a,thick=3,color=2

if keyword_set(ps) then begin
  device, /close ; Close the file. 
  set_plot,'x'
endif

return
end
