from pylab import *
import numpy as np

from data import rd_heracles

def plot1d(data,type='rho',save=0,slice='x',xcut=0,ycut=0,zcut=0):

    #Get data
    if slice=='x':
        x=data.xcg
        data_x=data.get_slice_x(type,ycut,zcut)
    if slice=='y':
        x=data.ycg
        data_x=data.get_slice_y(type,xcut,zcut)
    if slice=='z':
        x=data.zcg
        data_x=data.get_slice_z(type,xcut,ycut)

    #Plot data
    xlabel(slice) ; ylabel(type)

    plot(x,data_x)

    if save==1:
	savefig('toto.eps')

    return

def plot2d(data,slice='xy',type='rho',save=0,xcut=0,ycut=0,zcut=0,ifx=0):
    #Get data
    if slice=='xy':
        data_slice=data.get_slice_xy(type,zcut,ifx)
        xmin=min(data.xcg) ; xmax=max(data.xcg)
        ymin=min(data.ycg) ; ymax=max(data.ycg)
        if data.geometry=='xy   ' or data.geometry=='xyz  ':
            xtitle='x' ; ytitle='y'
        elif data.geometry=='rz   ':
            xtitle='r' ; ytitle='z'
        elif data.geometry=='rp   ' or data.geometry=='rpz  ':
            xtitle='r' ; ytitle='phi'
        elif data.geometry=='rthe ' or data.geometry=='rtp  ':
            xtitle='r' ; ytitle='theta'
    elif slice=='yz':
        data_slice=data.get_slice_yz(type,xcut,ifx)
        xmin=min(data.ycg) ; xmax=max(data.ycg)
        ymin=min(data.zcg) ; ymax=max(data.zcg)
        if data.geometry=='xyz  ':
            xtitle='y' ; ytitle='z'
        elif data.geometry=='rpz  ':
            xtitle='phi' ; ytitle='z'
        elif data.geometry=='rtp  ':
            xtitle='theta' ; ytitle='phi'
    elif slice=='xz':
        data_slice=data.get_slice_xz(type,ycut,ifx)
        xmin=min(data.xcg) ; xmax=max(data.xcg)
        ymin=min(data.zcg) ; ymax=max(data.zcg)
        if data.geometry=='xyz  ':
            xtitle='x' ; ytitle='z'
        elif data.geometry=='rpz  ':
            xtitle='r' ; ytitle='z'
        elif data.geometry=='rtp  ':
            xtitle='r' ; ytitle='phi'
 
    #Plot data
    rcParams['image.origin']='lower'
    hot()
    xlabel(xtitle) ; ylabel(ytitle)
    imshow(transpose(data_slice),extent=(xmin,xmax,ymin,ymax))
    colorbar()

    if save==1:
	savefig('toto.eps')

    return

