from data  import rd_heracles
from plots import snapshots

from pylab import *

def sedov(save=0):

    var=rd_heracles.HeraclesData(1,'bin')

    # Read analytic solution
    f = loadtxt("../ref/sedov_exact.dat",skiprows=2)
    r_a=f[:,0] ; d_a=f[:,1] ; u_a=f[:,2] ; p_a=f[:,3]

    subplot(221)
    snapshots.plot1d(var,type='rho',slice='x')
    v1=axis()
    plot(r_a,d_a,'r')
    v2=axis()
    axis([v1[0],v1[1],v2[2],v2[3]])

    subplot(222)
    snapshots.plot1d(var,type='vx',slice='x')
    v1=axis()
    plot(r_a,u_a,'r')
    v2=axis()
    axis([v1[0],v1[1],v2[2],v2[3]])

    subplot(224)
    snapshots.plot1d(var,type='P',slice='x')
    v1=axis()
    plot(r_a,p_a,'r')
    v2=axis()
    axis([v1[0],v1[1],v2[2],v2[3]])

    if save==1:
        savefig('sedov.eps')

    return
